List a webhook's deliveries
curl --request GET \
--url https://go-fetch.io/api/v1/webhooks/{webhook_id}/deliveries/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/{webhook_id}/deliveries/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/{webhook_id}/deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_source": "event",
"status": "pending",
"response_status_code": 123,
"attempts": 123,
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}Webhooks
List a webhook's deliveries
Every attempt to deliver an event to the webhook, newest first.
GET
/
api
/
v1
/
webhooks
/
{webhook_id}
/
deliveries
/
List a webhook's deliveries
curl --request GET \
--url https://go-fetch.io/api/v1/webhooks/{webhook_id}/deliveries/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/{webhook_id}/deliveries/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/{webhook_id}/deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trigger_source": "event",
"status": "pending",
"response_status_code": 123,
"attempts": 123,
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Path Parameters
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.